Bug 418968 - Network speed in bits per second
Summary: Network speed in bits per second
Status: RESOLVED FIXED
Alias: None
Product: ksysguard
Classification: Unclassified
Component: ksysguard (show other bugs)
Version: 5.18.3
Platform: Archlinux Packages Linux
: NOR wishlist (vote)
Target Milestone: ---
Assignee: KSysGuard Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-03-17 17:15 UTC by paclarushtaonas
Modified: 2022-01-04 21:04 UTC (History)
3 users (show)

See Also:
Latest Commit:
Version Fixed In: 5.24


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description paclarushtaonas 2020-03-17 17:15:48 UTC
We could have the ability to set bits per second as the unit in the network monitoring.

STEPS TO REPRODUCE
1. Open Ksysguard
2. Go to "system load" tab or load/create a worksheet with a network monitor.

OBSERVED RESULT
The network speed is listed in Bytes per second, with no visible option to set it in bits per second.

EXPECTED RESULT
An option somewhere to set that monitor in bits per second.

SOFTWARE/OS VERSIONS
Linux/KDE Plasma: Arch Linux
KDE Plasma Version: 5.18.3
KDE Frameworks Version: 5.68.0
Qt Version: 5.14.1
Comment 1 Bug Janitor Service 2021-12-09 17:55:06 UTC
A possibly relevant merge request was started @ https://invent.kde.org/plasma/libksysguard/-/merge_requests/203
Comment 2 Bug Janitor Service 2021-12-09 18:40:31 UTC
A possibly relevant merge request was started @ https://invent.kde.org/plasma/ksystemstats/-/merge_requests/28
Comment 3 Bug Janitor Service 2021-12-09 20:32:56 UTC
A possibly relevant merge request was started @ https://invent.kde.org/plasma/plasma-systemmonitor/-/merge_requests/174
Comment 4 Nate Graham 2022-01-04 20:57:25 UTC
Git commit df01e39ee430592fc6e393c6f0d989dbd85eb1ef by Nate Graham, on behalf of Vishal Rao.
Committed on 04/01/2022 at 20:57.
Pushed by ngraham into branch 'master'.

Add support for bits per second

M  +56   -0    formatter/Formatter.cpp
M  +9    -0    formatter/Unit.h
M  +2    -0    sensors/SensorGroup.cpp

https://invent.kde.org/plasma/libksysguard/commit/df01e39ee430592fc6e393c6f0d989dbd85eb1ef
Comment 5 Nate Graham 2022-01-04 21:04:10 UTC
Git commit 67f836e4693c01528303ddbd9d7b83bb36e53540 by Nate Graham, on behalf of Vishal Rao.
Committed on 04/01/2022 at 21:04.
Pushed by ngraham into branch 'master'.

Add support for bits per second

M  +10   -0    plugins/network/AllDevicesObject.cpp
M  +2    -0    plugins/network/AllDevicesObject.h
M  +10   -0    plugins/network/NetworkDevice.cpp
M  +2    -0    plugins/network/NetworkDevice.h
M  +5    -1    plugins/network/NetworkManagerBackend.cpp
M  +3    -1    plugins/network/RtNetlinkBackend.cpp

https://invent.kde.org/plasma/ksystemstats/commit/67f836e4693c01528303ddbd9d7b83bb36e53540